#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f nbap.log
	rm -f *.class
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
	echo ""
	asn1pjav nbap -err nbap.log -per
	if [ $? -eq 0 ]; then 
	    cd nbap
	    echo "Java-compiling generated classes..."
	    echo ""
	    sh nbap.sh 2>&1 >> ../nbap.log
	    cd ..
	    if [ -f cellsetuptdd.per ]; then
		${JAVAC} AutoDecoding.java 2>&1 >> nbap.log
		${JAVAC} ManualDecoding.java 2>&1 >> nbap.log
		if [ -f AutoDecoding.class ]; then
		    echo "Running the test (automatic decoding of the NBAP message)..."
		    echo ""
		    ${JAVA} AutoDecoding;
		fi
		if [ -f ManualDecoding.class ]; then
		    echo "Running the test (manual decoding of the NBAP message)..."
		    echo ""
		    ${JAVA} ManualDecoding;
		fi
	    else
		echo "The file 'celsetuptdd.per' is not found."
	    fi
	fi
	rm -fr nbap
	break;;

    *)
	echo "Invalid argument \"$1\"."
	echo ""
	break;;
    
esac
